petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGlobalToNaturalAllCreate

Creates a scatter context that maps from the global vector the entire vector to each processor in natural numbering

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGlobalToNaturalAllCreate(DM da,VecScatter *scatter)

Collective on da

### Input Parameter

da -the distributed array context

### Output Parameter

scatter -the scatter context

### See Also

DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

### Level

advanced

### Location

src/dm/impls/da/dagtona.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages